# Copyright (c) 2016, 2022, Oracle and/or its affiliates.  All rights reserved.
# This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.

require 'oci/common'

require 'oci/auth/auth'
require 'oci/audit/audit'
require 'oci/container_engine/container_engine'
require 'oci/core/core'
require 'oci/database/database'
require 'oci/dns/dns'
require 'oci/email/email'
require 'oci/file_storage/file_storage'
require 'oci/identity/identity'
require 'oci/load_balancer/load_balancer'
require 'oci/object_storage/object_storage'
require 'oci/object_storage/transfer/transfer'
require 'oci/resource_search/resource_search'
require 'oci/key_management/key_management'
require 'oci/announcements_service/announcements_service'
require 'oci/waas/waas'
require 'oci/healthchecks/healthchecks'
require 'oci/streaming/streaming'
require 'oci/monitoring/monitoring'
require 'oci/resource_manager/resource_manager'
require 'oci/autoscaling/autoscaling'
require 'oci/ons/ons'
require 'oci/budget/budget'
require 'oci/work_requests/work_requests'
require 'oci/limits/limits'
require 'oci/functions/functions'
require 'oci/events/events'
require 'oci/dts/dts'
require 'oci/oce/oce'
require 'oci/oda/oda'
require 'oci/integration/integration'
require 'oci/analytics/analytics'
require 'oci/apigateway/apigateway'
require 'oci/os_management/os_management'
require 'oci/marketplace/marketplace'
require 'oci/nosql/nosql'
require 'oci/data_catalog/data_catalog'
require 'oci/application_migration/application_migration'
require 'oci/data_flow/data_flow'
require 'oci/data_science/data_science'
require 'oci/vault/vault'
require 'oci/bds/bds'
require 'oci/secrets/secrets'
require 'oci/cims/cims'
require 'oci/data_safe/data_safe'
require 'oci/mysql/mysql'
require 'oci/data_integration/data_integration'
require 'oci/usage_api/usage_api'
require 'oci/ocvp/ocvp'
require 'oci/blockchain/blockchain'
require 'oci/management_agent/management_agent'
require 'oci/loggingingestion/loggingingestion'
require 'oci/logging/logging'
require 'oci/management_dashboard/management_dashboard'
require 'oci/loggingsearch/loggingsearch'
require 'oci/log_analytics/log_analytics'
require 'oci/sch/sch'
require 'oci/cloud_guard/cloud_guard'
require 'oci/opsi/opsi'
require 'oci/compute_instance_agent/compute_instance_agent'
require 'oci/tenant_manager_control_plane/tenant_manager_control_plane'
require 'oci/optimizer/optimizer'
require 'oci/rover/rover'
require 'oci/database_management/database_management'
require 'oci/artifacts/artifacts'
require 'oci/apm_traces/apm_traces'
require 'oci/golden_gate/golden_gate'
require 'oci/apm_synthetics/apm_synthetics'
require 'oci/apm_control_plane/apm_control_plane'
require 'oci/network_load_balancer/network_load_balancer'
require 'oci/vulnerability_scanning/vulnerability_scanning'
require 'oci/database_migration/database_migration'
require 'oci/service_catalog/service_catalog'
require 'oci/ai_language/ai_language'
require 'oci/operator_access_control/operator_access_control'
require 'oci/bastion/bastion'
require 'oci/generic_artifacts_content/generic_artifacts_content'
require 'oci/jms/jms'
require 'oci/devops/devops'
require 'oci/ai_anomaly_detection/ai_anomaly_detection'
require 'oci/data_labeling_service_dataplane/data_labeling_service_dataplane'
require 'oci/apm_config/apm_config'
require 'oci/waf/waf'
require 'oci/data_labeling_service/data_labeling_service'
require 'oci/certificates_management/certificates_management'
require 'oci/certificates/certificates'
require 'oci/usage/usage'
require 'oci/database_tools/database_tools'
require 'oci/service_manager_proxy/service_manager_proxy'
require 'oci/appmgmt_control/appmgmt_control'
require 'oci/identity_data_plane/identity_data_plane'
require 'oci/osp_gateway/osp_gateway'
require 'oci/visual_builder/visual_builder'
require 'oci/osub_usage/osub_usage'
require 'oci/osub_billing_schedule/osub_billing_schedule'
require 'oci/osub_organization_subscription/osub_organization_subscription'
require 'oci/osub_subscription/osub_subscription'
require 'oci/dashboard_service/dashboard_service'
require 'oci/retry/retry'
require 'oci/internal/internal'
require 'oci/threat_intelligence/threat_intelligence'
require 'oci/ai_vision/ai_vision'

# Top level module for the Oracle Cloud Infrastructure SDK
module OCI
  class << self
  end
end

OracleBMC = OCI
